Overview | Modules | Class Hierarchy | Classes | Members

# tlp::QGlPixelBufferManager Class Reference

`#include <QGlPixelBufferManager.h>`

Collaboration diagram for tlp::QGlPixelBufferManager:

[legend]
List of all members.

## Detailed Description

Class to manage QGlPixelBuffer Singleton class to manager QGlPixelBuffer.

## Public Member Functions

- QGLPixelBuffer * getPixelBuffer (int width, int height)

## Static Public Member Functions

- static void createInst ()
- static QGlPixelBufferManager & getInst ()

## Member Function Documentation

static void tlp::QGlPixelBufferManager::createInst | ( |  | ) | `[static]`

| Create the QGlPixelBuffer manager singleton

static QGlPixelBufferManager& tlp::QGlPixelBufferManager::getInst | ( |  | ) | `[inline, static]`

| Return the QGlPixelBuffer manager singleton, il singleton doesn't exist this function create it

QGLPixelBuffer* tlp::QGlPixelBufferManager::getPixelBuffer | ( | int | width,
|  | int | height
| ) |

| Return a QGlPixelBuffer with given size

Tulip Software by LaBRI Visualization Team 2001 - 2010